<?php

class i_omekas_2_1_1_install extends i_action_install
{
public function step2_init() {}
public function step2_process()
{
	

// Extract files for install
$this->extract("main");

// Move files up one level
$this->mv('omeka-s/*');

// Delete extra directory
$this->rm('omeka-s');

// Edit config/database.ini with database info
$this->sr("config/database.ini", array(
"#user     = #" => "user     = ".var_export($this->db_user,true),
"#password = #" => "password = ".var_export($this->db_pass,true),
"#dbname   = #" => "dbname   = ".var_export($this->db_user,true),
"#host     = #" => "host     = localhost",
));

// Set php-cli path
$this->sr("config/local.config.php", "#'phpcli_path' => null#", "'phpcli_path' => '/usr/local/bin/php'");

// Set imagemagick_dir path
$this->sr("config/local.config.php", "#'imagemagick_dir' => null#", "'imagemagick_dir' => '/usr/bin/'");

// Create silent installer
$this->write("install.php","<?php
  \$email = ".var_export($this->input['field_email'],true).";
  \$password = ".var_export($this->input['field_passwd'],true).";
  \$name = ".var_export($this->input['field_name'],true).";
  \$sitetitle = ".var_export($this->input['field_sitetitle'],true).";
  \$timezone = 'America/New_York';
  \$locale = 'Default';
  
  use Omeka\Installation\Installer;
  require 'bootstrap.php';
  \$config = require OMEKA_PATH . '/application/config/application.config.php';
  \$application = Zend\Mvc\Application::init(\$config);
  \$services = \$application->getServiceManager();
  \$router = \$services->get('Router');
  \$router->setRequestUri(new \Zend\Uri\Http(".var_export($this->url,true)."));
  \$installer = new Installer(\$services);
  \$installer->registerTask('Omeka\Installation\Task\DestroySessionTask');
  \$installer->registerTask('Omeka\Installation\Task\ClearCacheTask');
  \$installer->registerTask('Omeka\Installation\Task\InstallSchemaTask');
  \$installer->registerTask('Omeka\Installation\Task\RecordMigrationsTask');
  \$installer->registerTask('Omeka\Installation\Task\InstallDefaultVocabulariesTask');
  \$installer->registerTask('Omeka\Installation\Task\InstallDefaultTemplatesTask');
  \$installer->registerTask('Omeka\Installation\Task\CreateFirstUserTask');
  \$installer->registerTask('Omeka\Installation\Task\AddDefaultSettingsTask');
  \$installer->registerVars(
                    'Omeka\Installation\Task\AddDefaultSettingsTask',
                    [
                        'administrator_email' => \$email,
                        'installation_title' => \$sitetitle,
                        'time_zone' => \$timezone,
                        'locale' => \$locale,
                    ]
                );
                
  \$installer->registerVars(
                    'Omeka\Installation\Task\CreateFirstUserTask',
                    [
                        'name' => \$name,
                        'email' => \$email,
                        'password-confirm' => [
    'password' => \$password,
]
                    ]
                );

  \$runinstall = \$installer->install();
");

// Run install
$result = $this->fetch("install.php");

// Cleanup
$this->rm("install.php");

		
}
}

?>